hughc

  • *
  • 9
Install LibrePilot on Ubuntu
« on: April 26, 2019, 04:30:40 pm »
How do you install on Ubuntu?  I alway get output like this:

sudo dpkg -i librepilot_16.09-0zesty1_amd64.deb
dpkg: warning: parsing file '/var/lib/dpkg/status' near line 11211 package 'librepilot':
 missing description
(Reading database ... 291132 files and directories currently installed.)
Preparing to unpack librepilot_16.09-0zesty1_amd64.deb ...
Unpacking librepilot (16.09-0zesty1) over (16.09-0trusty1) ...
dpkg: dependency problems prevent configuration of librepilot:
 librepilot depends on libopenscenegraph100v5; however:
  Package libopenscenegraph100v5 is not installed.
 librepilot depends on libopenthreads20; however:
  Package libopenthreads20 is not installed.
 librepilot depends on libosgearth5 (>= 2.7.0); however:
  Package libosgearth5 is not installed.
 librepilot depends on libosgearthutil5 (>= 2.7.0); however:
  Package libosgearthutil5 is not installed.
 librepilot depends on libqt5serialport5 (>= 5.6.0); however:
  Package libqt5serialport5 is not installed.
 librepilot depends on qtdeclarative-abi-5-7-0; however:
  Package qtdeclarative-abi-5-7-0 is not installed.

dpkg: error processing package librepilot (--install):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Errors were encountered while processing:
 librepilot

f5soh

  • *****
  • 4548
    • LibrePilot
Re: Install LibrePilot on Ubuntu
« Reply #1 on: April 26, 2019, 08:15:30 pm »
Are you running Zesty ? (librepilot_16.09-0zesty1_amd64.deb)
If yes, you will be able to install the missing dependencies but seems you are running Trusty ?.

Try using repo, as described in Download page

Code: [Select]
sudo add-apt-repository ppa:librepilot/tools
sudo apt-get update

and

Code: [Select]
sudo add-apt-repository ppa:librepilot/release
sudo apt-get update
sudo apt-get install librepilot

Or for Next:

Code: [Select]
sudo add-apt-repository ppa:librepilot/next
sudo apt-get update
sudo apt-get install librepilot